Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 464978 - =dev-libs/glib-2.36 testsuite fails on /desktop-app-info/default
Summary: =dev-libs/glib-2.36 testsuite fails on /desktop-app-info/default
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Linux Gnome Desktop Team
URL:
Whiteboard:
Keywords: TESTFAILURE
Depends on:
Blocks: gnome-3.8
  Show dependency tree
 
Reported: 2013-04-07 16:55 UTC by Gilles Dartiguelongue
Modified: 2013-04-23 19:05 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
build-glib-2.36.0.log (build-glib-2.36.0.log,384.21 KB, text/plain)
2013-04-07 16:55 UTC, Gilles Dartiguelongue
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Gilles Dartiguelongue gentoo-dev 2013-04-07 16:55:58 UTC
Created attachment 344730 [details]
build-glib-2.36.0.log

Reviewing Gnome 3.8 mask, I came around this failure:

TEST: desktop-app-info... (pid=26397)
  /desktop-app-info/default:                                           **
GLib-GIO:ERROR:desktop-app-info.c:114:test_default: assertion failed: (g_list_length (list) == 2)
FAIL
GTester: last random seed: R02S93513e68feb04be8f6004b3b5962aaed
/bin/sh : ligne 1 : 17944 Complété              G_DEBUG=gc-friendly MALLOC_CHECK_=2 MALLOC_PERTURB_=$((${RANDOM:-256} % 256)) ../../glib/gtester --verbose io-stream memory-input-stream memory-output-stream readwrite g-file g-file-info converter-stream data-input-stream data-output-stream g-icon buffered-input-stream buffered-output-stream sleepy-stream filter-streams volumemonitor simple-async-result srvtarget contexts gsettings gschema-compile async-close-output-stream gdbus-addresses network-address gdbus-message socket pollable tls-certificate tls-interaction cancellable vfs network-monitor fileattributematcher resources proxy-test simple-proxy inet-address permission task credentials actions gdbus-connection gdbus-connection-loss gdbus-connection-slow gdbus-names gdbus-proxy gdbus-proxy-threads gdbus-proxy-well-known-name gdbus-introspection gdbus-threading gdbus-export gdbus-error gdbus-bz627724 gmenumodel gdbus-close-pending gdbus-connection-flush gdbus-peer gdbus-exit-on-close gdbus-non-socket gdbus-peer-object-manager appinfo contenttype mimeapps file live-g-file desktop-app-info unix-fd unix-streams gapplication basic-application gdbus-test-codegen gdbus-serialization gdbus-auth
make[6]: *** [test-nonrecursive] Erreur 143
make[6] : on quitte le répertoire « /var/tmp/portage/portage/dev-libs/glib-2.36.0/work/glib-2.36.0/gio/tests »


poking around the file, it looks like the function g_app_info_get_all_blabla returns a NULL pointer. This makes me kinda worried about running my system with this problem :)
Comment 1 Gilles Dartiguelongue gentoo-dev 2013-04-07 16:56:21 UTC
# emerge --info
Portage 2.2.0_alpha171 (hardened/linux/amd64, gcc-4.7.2, glibc-2.17, 3.8.5-gentoo x86_64)
=================================================================
System uname: Linux-3.8.5-gentoo-x86_64-Intel-R-_Core-TM-_i7-3770_CPU_@_3.40GHz-with-gentoo-2.2
KiB Mem:    16323768 total,   4014528 free
KiB Swap:   15624184 total,  15624184 free
Timestamp of tree: Sun, 07 Apr 2013 10:00:01 +0000
ld GNU ld (GNU Binutils) 2.23.1
ccache version 3.1.9 [disabled]
app-shells/bash:          4.2_p45
dev-java/java-config:     2.1.12-r1
dev-lang/python:          2.6.8-r1, 2.7.3-r3, 3.2.3-r2, 3.3.0-r1
dev-util/ccache:          3.1.9
dev-util/cmake:           2.8.10.2-r1
dev-util/pkgconfig:       0.28
sys-apps/baselayout:      2.2
sys-apps/openrc:          0.11.8
sys-apps/sandbox:         2.6-r1
sys-devel/autoconf:       2.13, 2.69
sys-devel/automake:       1.10.3, 1.11.6, 1.12.6, 1.13.1
sys-devel/binutils:       2.23.1
sys-devel/gcc:            4.7.2-r1
sys-devel/gcc-config:     1.8
sys-devel/libtool:        2.4.2
sys-devel/make:           3.82-r4
sys-kernel/linux-headers: 3.8 (virtual/os-headers)
sys-libs/glibc:           2.17
Repositories: gentoo lisp eva gnome
Installed sets: @devel, @games, @gnome, @gnome-accessibility, @gstreamer-0.10, @gstreamer-1.0, @network, @portage-extras, @printing, @system-extras, @system-extras-phys, @temp
ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="* -@EULA Broadcom AdobeFlash-11.x skype-eula Q3AEULA"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-O2 -march=core-avx-i -pipe -g -msse3 -mstackrealign"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/gnupg/qualified.txt"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-O2 -march=core-avx-i -pipe -g -msse3 -mstackrealign"
DISTDIR="/var/tmp/portage/distfiles"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs config-protect-if-modified distlocks ebuild-locks fixlafiles merge-sync news parallel-fetch preserve-libs protect-owned sandbox sfperms sign splitdebug strict unknown-features-warn unmerge-logs unmerge-orphans userfetch xattr"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="ftp://ftp.free.fr/mirrors/ftp.gentoo.org/ http://mirror.ovh.net/gentoo-distfiles/"
LANG="fr_FR.utf8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed -Wl,-O1,--as-needed,--hash-style=gnu"
MAKEOPTS="-j16 -l6.0"
PKGDIR="/var/tmp/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp/portage"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/var/lib/layman/lisp /home/eva/Documents/devel/eva /home/eva/Documents/devel/gnome"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="a52 aac acl alsa amd64 avahi avx bash-completion berkdb bzip2 caps cdr cli colord consolekit cracklib crypt cups dbus dconf dri dvd eds exif flac gdbm gnome-keyring gnome-online-accounts gphoto2 gpm grilo gstreamer hardened iconv icu introspection iptc ipv6 jpeg justify libnotify lzma lzo mmx modules mp3 mtp mudflap multilib nautilus ncurses nls nptl ntp ogg openmp orc pam pax_kernel pcre png policykit pulseaudio readline sendto session socialweb spell sse sse2 sse3 sse4_1 sse4_2 ssl ssse3 startup-notification tcpd theora threads tracker udev unicode upnp upnp-av urandom usb vorbis vpx x264 xattr xinerama xmp xvmc zeitgeist zeroconf zlib" ABI_X86="64" ALSA_CARDS="hda-intel" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="dav dav_fs authn_file auth_basic auth_digest authz_groupfile authz_host dir mime log_config" APACHE2_MPMS="event" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ubx" GRUB_PLATFORMS="efi-64" INPUT_DEVICES="evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LINGUAS="en fr ja zh zh_CN" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-3" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7 python3_2 python2_6 python3_3" QEMU_SOFTMMU_TARGETS="x86_64" QEMU_USER_TARGETS="x86_64" RUBY_TARGETS="ruby18 ruby19" SANE_BACKENDS="hp" USERLAND="GNU" VIDEO_CARDS="intel i915 i965" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, USE_PYTHON
Comment 2 Gilles Dartiguelongue gentoo-dev 2013-04-07 16:57:32 UTC
This is afaict, the only failure in the testsuite and this is a regression from 2.34.3 (which had other failures, but not this one).
Comment 3 Pacho Ramos gentoo-dev 2013-04-07 17:08:58 UTC
Will you report this problem to upstream yourself or should I? :/
Comment 4 Gilles Dartiguelongue gentoo-dev 2013-04-07 17:27:04 UTC
If you can reproduce, then please do :)
Comment 5 Pacho Ramos gentoo-dev 2013-04-07 17:40:12 UTC
Bleh, I hit bug 396505 before that :S, I really hate tests suites (and upstreams ignoring their breakage)
Comment 6 Pacho Ramos gentoo-dev 2013-04-23 19:05:04 UTC
fixed in 2.36.1